#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    long long n;
    cin>>n;
    long long brD=0, brP=0;
    for(int i=1; i<=n/2; i++){
        if(n%i==0){
            brD++;
        }
    }
    brD+=1;
    if(brD%2==0){
        brP+=brD/2;
    }else{
        brP+=brD/2+1;
    }
    cout<<brP<<"\n";

    return 0;
}
